Description

Documenation of LoadResponseCharacteristic exponents
Suggest improvement to documenation of LoadResponseCharacteristic.pVoltageExpoent on its intended usage and mathematical
equation.
Voltage exponents are only used if the LoadResponseCharacteristic.exponentModel is "true". If so, then the voltage exponents are
specified and used to compute load as cim:SvFlow.p = Pnominal *
(cim:SvVoltage.v/cim:BaseVoltage.nominalVoltage)**cim:LoadResponseCharacteristic.voltageExponent
where:
e is "raised to power of"

cim:SvFlow object is the flow at the terminal of the EnergyConsumer (See CIM definition)

cim:LoadResponseCharacterisitic is from EnergyConsumer.LoadResponseCharacteristic

cim:SvVoltage is from the connected TopologicicalNode

* is "multiply"
/ is divide

| think that Pnominal should correspond to an EnergyConsumer attribute, but | don't know which one, possible pFixed? Note UCTE
profile does not exchange the nominal value, just the solved value.

Simlar description needed for qVoltageExponent, pFrequencyExponent, and gFrequencyExponent

SvFlow.p = pNominal * (frequency/(nominal frequency))**pFrequencyExponent

Note that both voltage and frequency exponents could be used together so the full equation would be:

SvFlow.p = Pnominal * (voltage/(base voltage))**pVoltageExponent * (frequency/(base frequency))**pFrequencyExponent

I think all these calculations flow from the basic definitions, but documenting how they work together make is much clearer. We
could even do this in a diagram instead of as documentation on the attributes themselves.

Proposed Solution
WG 13 to discuss if we are changing the description to include the part below. All the rest seems covered.
The following text should be added to the class comments of the LoadResponseCharacteristic class. The following text should be
append at the end of existing comments:

SvFlow.p = pNominal * (frequency/(nominal frequency))**pFrequencyExponent

Note that both voltage and frequency exponents could be used together so the full equation would be:

SvFlow.p = pNominal * (voltage/(base voltage))**pVoltageExponent * (frequency/(base frequency))**pFrequencyExponent
This equation covers calculation of SvFlow.p

Note, the voltage and frequency expressed in the equation are values obtained from solved power flow. Base voltage and base
frequency are those derived from the connectivity of the static network model.

Decision

Reviewed on 17-Feb-2023 in Richland in-person. The text of the proposed solution was updated slightly and the decision was made
to add in CIM18v04

Release Notes

The description of LoadResponseCharacteristic was updated with

plnjection = Pnominal* (Frequency/(Nominal frequency))**cim:LoadResponseCharacteristic.pFrequencyExponent
glnjection = Qnominal* (Frequency/(Nominal frequency))**cim:LoadResponseCharacteristic.qFrequencyExponent

Note that both voltage and frequency exponents could be used together so the full equation would be:

plnjection = Pnominal* (Voltage/(cim:BaseVoltage.nominalVoltage))**cim:LoadResponseCharacteristic.pVoltageExponent *
(Frequency/(base frequency))**cim:LoadResponseCharacteristic.pFrequencyExponent

glnjection = Qnominal* (Voltage/(cim:BaseVoltage.nominalVoltage))**cim:LoadResponseCharacteristic.qVoltageExponent *
(Frequency/(base frequency))**cim:LoadResponseCharacteristic.qFrequencyExponent

The voltage and frequency expressed in the equation are values obtained from solved power flow. Base voltage and base frequency
are those derived from the connectivity of the static network model.

History

#1 - 02/07/2023 11:42 AM - Chavdar Ivanov

- Subject changed from Documenation of LoadResponseCharacteristic exponents
Sugg to Documenation of LoadResponseCharacteristic exponents Sugg

- Status changed from Open to Review
- Priority changed from Low to High
- Proposed Solution updated

Current description is as follows. It was validated with the approval of CIM17.

Models the characteristic response of the load demand due to changes in system conditions such as voltage and frequency. It is not related to
demand response.

If LoadResponseCharacteristic.exponentModel is True, the exponential voltage or frequency dependent models are specified and used as to
calculate active and reactive power components of the load model.

The equations to calculate active and reactive power components of the load model are internal to the power flow calculation, hence they use
different quantities depending on the use case of the data exchange.

The equations for exponential voltage dependent load model injected power are:

plnjection= Pnominal* (Voltage/cim:BaseVoltage.nominalVoltage) * cim:LoadResponseCharacteristic.pVoltageExponent

glnjection= Qnominal (Voltage/cim:BaseVoltage.nominalVoltage) * cim:LoadResponseCharacteristic.qVoltageExponent

Where:

1) * means "multiply” and * is "raised to the power of";

2) Pnominal and Qnominal represent the active power and reactive power at nominal voltage as any load described by the voltage exponential model
shall be given at nominal voltage. This means that EnergyConsumer.p and EnergyConsumer.q are at nominal voltage.

3) After power flow is solved:

Voltage corresponds to SvVoltage.v at the TopologicalNode where the load is connected.

#2 - 02/17/2023 11:55 AM - Todd Viegut

- Base Release set to CIM18

- Solution to be Applied To set to CIM18v04
- Proposed Solution updated

- Decision updated
#3 - 02/17/2023 11:55 AM - Todd Viegut

- Status changed from Review to In Progress

#4 - 02/17/2023 12:14 PM - Todd Viegut
- Base Release changed from CIM18 to CIM17
- Solution Version set to CIM18v04

#5 - 02/19/2023 02:38 AM - Chavdar lvanov
- Status changed from In Progress to Closed
- Solution Applied By set to Chavdar Ilvanov

- Completion Date set to 02/19/2023

- Release Notes updated
